1

My ubuntu VERSION="14.04.3 LTS, Trusty Tahr"

I wanna upgrade svn client to >1.9 with below two commands

sudo apt-get remove subversion
sudo apt-get install subversion

I thought it would automatically give me latest version, however it is 1.8.8. Did I miss something?

3

Basically the latest version of svn packaged for 14.04 Trusty Tahr is 1.8.8, so that is the latest version in the Trusty repositories (see here), and therefore the latest version you are able to access.

By far the best solution to this in most cases is just to update Ubuntu, this will give you a more up to date set of repositories, with a much more up to date version of all your packages, including svn. The latest version of Ubuntu is 16.10 Yakkety Yak, which has svn version 1.9.4. If you need LTS, then 16.04LTS Xenial Xerus has svn version 1.9.3.

An alternative solution is to use what's called "apt-pinning" or simply "pinning", to install the Yakkety/Xenial version of svn, without having to update the whole of Ubuntu. This however often results in updating an awful lot of your system anyway, because the newer version of svn, relies on newer versions of other packages which rely on other packages, etc, etc. See these instructions for doing this if you really don't want to update all of Ubuntu.

A final (not recommended) solution, is that you could download the newer Yakkety or Xenial packages manually from those pages, and wrestle through installing the dependencies, and then svn, yourself.

EDIT: You may also be able to get access to an external package repository for svn from elsewhere, as Lv1z explains, but this can often leave your system as a bit of a tangled web, pulling different parts of your system from different sources. Whereas an Ubuntu version update would keep your system relatively clean, and with a guaranteed maintenance cycle from Ubuntu.

1

Use this:

$ sudo sh -c 'echo "deb http://opensource.wandisco.com/ubuntu `lsb_release -cs` svn19" >> /etc/apt/sources.list.d/subversion19.list'
$ sudo wget -q http://opensource.wandisco.com/wandisco-debian.gpg -O- | sudo apt-key add -
$ sudo apt-get update

And then remove and (re)install the package, you should get it now.

Reference: http://tecadmin.net/install-subversion-1-9-on-ubuntu/

  • Works perfect! And is much more helpful than an original answer. Just change "19" to desired SVN version like "110" for 1.10. – levanovd Jun 18 '18 at 6:44

Not the answer you're looking for? Browse other questions tagged or ask your own question.